Skip to main content
`Ctrl`+`K`

# KSPPIPEGCRSetTruncationType

specify how many of its stored previous directions `KSPPIPEGCR` uses during orthogonalization

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetTruncationType(KSP ksp, KSPFCDTruncationType truncstrat)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- truncstrat - the choice of strategy

      KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions
      KSP_FCD_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) directions at iteration i=0,1,..

## Options Database Key

- -ksp_pipegcr_truncation_type <standard,notay> - which stored basis vectors to orthogonalize against

## See Also

KSP: Linear System Solvers, `KSPPIPEGCR`, `KSPPIPEGCRTruncationType`, `KSPFCDTruncationType`, `KSP_FCD_TRUNC_TYPE_STANDARD`, `KSP_FCD_TRUNC_TYPE_NOTAY`

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages